﻿using ProjectorToolkit.Controller;
using ProjectorToolkit.Elements;

namespace Picture_Viewer_with_External_Buttons
{
    public class ClickHandler : AbstractHandler
    {
        public ClickHandler(Button button) : base(button) { }

        protected override bool CanHandleElement(AbstractElement element)
        {
            return element is ButtonElement;
        }

        protected override void HandleReleased(AbstractElement controller, AbstractElement target)
        {
            ((ButtonElement)target).Click();
        }
    }
}
