﻿using System.Windows.Media.Media3D;
using ProjectorToolkit.Utilities;

namespace ProjectorToolkit.Elements
{
    public class WallElement : AbstractElement
    {
        public WallElement() : base() { }
        public WallElement(Point3D position, Vector3D normal, Vector3D up)
        {
            SetPose(position, normal, up);
        }

        public override Point3D? Intersection(Point3D origin, Vector3D direction)
        {
            Plane plane = new Plane(Position, Direction);
            return plane.Intersection(origin, direction);
        }
    }
}
