﻿using System.Windows.Media.Media3D;
using ProjectorToolkit.Elements;

namespace ProjectorToolkit.Tracking
{
    public class TrackerBinding
    {
        public AbstractElement Element;
        public string TrackerName;
        public Vector3D PositionOffset;

        public TrackerBinding(string name, AbstractElement element)
            : this(name, element, new Vector3D(0, 0, 0)) { }

        public TrackerBinding(string name, AbstractElement element, Vector3D offset)
        {
            Element = element;
            TrackerName = name;
            PositionOffset = offset;
        }
    }
}
