﻿using System.Windows.Media.Media3D;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using ProjectorToolkit.Elements;
using ProjectorToolkit.Utilities;

namespace ProjectorToolkitTests.World
{
    [TestClass]
    public class ProjectorTest
    {
        private PerspectiveDisplay projector;
        private Model3DGroup modelGroup = new Model3DGroup();

        public ProjectorTest()
        {
            projector = new PerspectiveDisplay(1024, 768, Angle.FromDegrees(45));
            projector.SetPose(new Point3D(0, -1, 4), new Vector3D(0, 0, -1), new Vector3D(0, 1, 0));
        }

        [TestMethod]
        public void IntersectionShouldBeConvertableToPixels()
        {
            //TODOPoint3D intersection = projector.Intersection();
            //TODOPoint point = new Point(intersection.X, intersection.Y);
            //TODOprojector.ConvertGlobalToCoordinate(point);
        }
    }
}
