﻿using System.Collections.Generic;
using ProjectorToolkit.Elements;
using ProjectorToolkit.Tracking;

namespace ProjectorToolkit.Configuration
{
    public interface IConfiguration
    {
        IDictionary<string, AbstractElement> NamedElements { get; }
        IEnumerable<AbstractElement> UnnamedElements { get; }
        IEnumerable<TrackerBinding> TrackerBindings { get; }
    }
}
