﻿using System.Windows.Media.Media3D;

namespace ProjectorToolkit.Elements
{
    /// <summary>
    /// This interface implements all needed properties to allow a unique 
    /// positioning and orientation in a 3D space.
    /// </summary>
    public interface IPositionable
    {
        Point3D Position { get; }
        Vector3D Direction { get; }
        Vector3D Up { get; }
        Vector3D Right { get; }
    }
}
