﻿using System.Windows.Media.Media3D;

namespace ProjectorToolkit.Filter
{
    public abstract class AbstractFilter : IFilter
    {
        private Point3D position;
        private Vector3D direction;
        private Vector3D up;

        public Point3D Position { get { return position; } }
        public Vector3D Direction { get { return direction; } }
        public Vector3D Up { get { return up; } }

        public abstract void Filter(Point3D position, Vector3D direction, Vector3D up);

        protected void UpdateFilter(Point3D position, Vector3D direction, Vector3D up)
        {
            this.position = position;
            this.direction = direction;
            this.up = up;
        }
    }
}
