﻿using ProjectorToolkit.Controller;
using ProjectorToolkit.Network;
using ProjectorToolkit.Tracking;
using ProjectorToolkit.World;

namespace ProjectorToolkit
{
    /// <summary>
    /// The environment sets up the initial room configuration. 
    /// </summary>
    public interface IEnvironment
    {
        BufferServer Server { get; }
        ITracker Tracker { get; }
        ServerWorld World { get; }
        CursorDB CursorDB { get;  }
    }
}
