﻿using System;
using System.Windows.Media.Media3D;

namespace ProjectorToolkit.Utilities
{
    public static class Point3DExtensions
    {
        public static Vector3D ToVector3D(this Point3D vector)
        {
            return new Vector3D(vector.X, vector.Y, vector.Z);
        }

        public static double DistanceTo(this Point3D p1, Point3D p2)
        {
            Vector3D pointVector = Point3D.Subtract(p1, p2);
            return pointVector.Length;
        }
    }
}
