﻿using System;
using System.Collections.Generic;
using System.Windows;
using System.Windows.Media;

namespace ProjectorToolkit.Utilities
{
    public class PolygonHelper
    {
        /// <summary>
        /// Changes the direction in which the polygon is defined (clockwise/anticlockwise).
        /// </summary>
        /// <returns>A polygon with changed direction.</returns>
        public static Polygon ChangeDirection(Polygon polygon)
        {
            Point[] points = new Point[polygon.Length];
            for (int i = 0; i < polygon.Length; i++)
                points[polygon.Length - 1 - i] = polygon[i];
            return new Polygon(points);
        }
    }
}
